### 2.2.1 - 2017-12-07

*   [relval-2.2.1.tar.xz](https://www.happyassassin.net/relval/releases/relval-2.2.1.tar.xz)

1.  Avoid unnecessary questioning about Modular on some `report-results` workflows

### 2.2.0 - 2017-11-10

*   [relval-2.2.0.tar.xz](https://www.happyassassin.net/relval/releases/relval-2.2.0.tar.xz)

1.  Handle creating and interacting with Modular validation events (all subcommands)
2.  `user-stats`: don't crash if there are no bug references at all
3.  `report-results`: always confirm compose to file results for

### 2.1.8 - 2017-06-06

*   [relval-2.1.8.tar.xz](https://www.happyassassin.net/relval/releases/relval-2.1.8.tar.xz)

1.  `size-check`: adjust KDE target size to 2GB (per KDE SIG for F26)

### 2.1.7 - 2016-11-09

*   [relval-2.1.7.tar.xz](https://www.happyassassin.net/relval/releases/relval-2.1.7.tar.xz)

1.  `size-check`: really catch when we don't find any images
2.  `size-check`: include arch of over-size images in comment

### 2.1.6 - 2016-11-09

*   [relval-2.1.6.tar.xz](https://www.happyassassin.net/relval/releases/relval-2.1.6.tar.xz)

1.  Adjust to 'Final' milestone becoming 'RC' from Fedora 24 on

### 2.1.5 - 2016-10-08

*   [relval-2.1.5.tar.xz](https://www.happyassassin.net/relval/releases/relval-2.1.5.tar.xz)

1. `user-stats`: allow specifying 'since' and 'until' dates

### 2.1.4 - 2016-10-05

*   [relval-2.1.4.tar.xz](https://www.happyassassin.net/relval/releases/relval-2.1.4.tar.xz)

1.  `size-check`: update for ostree installer image 'type' metadata mess (pungi #417)
2.  `testcase-stats`: show progress (thanks kparal)

### 2.1.3 - 2016-04-28

*   [relval-2.1.3.tar.xz](https://www.happyassassin.net/relval/releases/relval-2.1.3.tar.xz)

1.  `compose`: fix `--download-only` to really be *download only* and make force work

### 2.1.2 - 2016-03-17

*   [relval-2.1.2.tar.xz](https://www.happyassassin.net/relval/releases/relval-2.1.2.tar.xz)

1.  `size-check`: use productmd `subvariant` not fedfind `payload`

### 2.1.1 - 2016-03-17

*   [relval-2.1.1.tar.xz](https://www.happyassassin.net/relval/releases/relval-2.1.1.tar.xz)

1.  Fix bitmap sorting for testcase-stats

### 2.1.0 - 2016-03-16

*   [relval-2.1.0.tar.xz](https://www.happyassassin.net/relval/releases/relval-2.1.0.tar.xz)

1.  Adjust to changes in wikitcms Pungi 4 compose handling

### 2.0.3 - 2016-03-03

*   [relval-2.0.3.tar.xz](https://www.happyassassin.net/relval/releases/relval-2.0.3.tar.xz)

1.  Move credential reading code to wikitcms, add `/etc/fedora/credentials` as a systemwide creds file

### 2.0.2 - 2016-03-03

*   [relval-2.0.2.tar.xz](https://www.happyassassin.net/relval/releases/relval-2.0.2.tar.xz)

1.  Drop the fedmsg consumer again (it's independent, and mixing py2 and py3 is awkward)

### 2.0.1 - 2016-03-03

*   [relval-2.0.1.tar.xz](https://www.happyassassin.net/relval/releases/relval-2.0.1.tar.xz)

1.  fix the fedmsg consumer when run in non-test mode
2.  make the consumer Python 2 by default (as fedmsg message validation does not work in Python 3)
3.  some smaller tweaks and fixups to the consumer

### 2.0.0 - 2016-03-01

*   [relval-2.0.0.tar.xz](https://www.happyassassin.net/relval/releases/relval-2.0.0.tar.xz)

1.  removed `report-auto` and `nightly` (no longer useful)
2.  `compose` now creates nightly as well as TC/RC events
3.  added `relval-fedmsg`, a fedmsg consumer for automatically creating events (replaces `nightly`)
4.  migrated to Python 3 (code might still more or less run with Python 2, but no guarantees)
5.  `compose` lets you create events by compose URL as well as release / milestone / compose
6.  event creation code moved into wikitcms
7.  initial logging support
8.  significant refactor of `report_results.py`
9.  tons of pylint cleanups throughout the code

### 1.11.7 - 2015-12-24

*   [relval-1.11.7.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.11.7.tar.xz)

1.  `nightly`: add `--wait` argument to wait for compose to complete before creating event

### 1.11.6 - 2015-10-20

*   [relval-1.11.6.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.11.6.tar.xz)

1.  `testcase-stats`: improve sorting, clarify time series explanation

### 1.11.5 - 2015-05-04

*   [relval-1.11.5.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.11.5.tar.xz)

1.  `size-check`: mark all results as 'bot' (passes as well as fails)
2.  `report-auto`: rename `--no-bot` to `--human` and drop `-b` form (less confusing - thanks, kparal)
3.  `user-stats`: sort pages, print progress to stderr (not stdout), make text processing a bit more efficient (kparal)

### 1.11.4 - 2015-04-21

*   [relval-1.11.4.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.11.4.tar.xz)

1.  Add support for new Wikitcms 'bot' feature to mark results from automated test systems: `relval user-stats` can include or omit 'bot' results, `relval size-check` results are marked as 'bot', `relval report-auto` results are marked as 'bot' by default (but `--no-bot` can be used).

### 1.11.3 - 2015-04-17

*   [relval-1.11.3.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.11.3.tar.xz)

1.  `size-check`: update Xfce spin target size to 2GB

### 1.11.1 - 2015-03-25

*   [relval-1.11.1.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.11.1.tar.xz)

1.  `size-check`: display the compose being checked

### 1.11 - 2015-03-25

*   [relval-1.11.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.11.tar.xz)

1.  `size-check`: new sub-command for running and reporting ISO size checks

### 1.10.1 - 2015-02-18

*   [relval-1.10.1.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.10.1.tar.xz)

1.  `report-results`: Correct some oversights in the versioning changes from 1.10 which caused repeat result submissions to fail

### 1.10 - 2015-02-18

*   [relval-1.10.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.10.tar.xz)

1.  Adjustments for the attempt to consolidate versioning across fedfind, python-wikitcms and relval using `release`, `milestone`, `compose` attributes to identify all images/events
2.  allow version guessing in `report-auto`
3.  miscellaneous bug fixes

### 1.9.4 - 2015-02-12

*   [relval-1.9.4.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.9.4.tar.xz)

1.  `compose` / `nightly`: create Download page for event when creating events, and add a mode to *only* write the Download page for an event
2.  revise the cli command implementation so it can be run from a git checkout or tarball (should be transparent to package users)

### 1.9.3 - 2015-02-02

*   [relval-1.9.3.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.9.3.tar.xz)

1.  `report-auto`: don't produce empty comments when no `--comment` is specified

### 1.9.2 - 2015-02-02

*   [relval-1.9.2.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.9.2.tar.xz)

1.  `report-auto`: treat underscore and space as equal for test identification

### 1.9.1 - 2015-02-02

*   [relval-1.9.1.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.9.1.tar.xz)

1.  `report-auto`: fix with nightly composes

### 1.9.0 - 2015-02-02

*   [relval-1.9.0.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.9.0.tar.xz)

1.  `report-results`: Fix Branched/Rawhide guessing code (jskladan)
2.  add `report-auto` for non-interactive result submission (idea from jskladan)
3.  `report-results`: add support for entering a comment

### 1.8.8 - 2015-01-07

*   [relval-1.8.8.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.8.8.tar.xz)

1.  Follow-on to user name display change from 1.8.6: use the correct variable (broke all sub-commands that log in. Yes, I'm really bad at this)

### 1.8.7 - 2015-01-07

*   [relval-1.8.7.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.8.7.tar.xz)

1.  Follow-on to argument parsing fix from 1.8.6: set the default for 'guessrel' for all sub-commands

### 1.8.6 - 2015-01-07

*   [relval-1.8.6.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.8.6.tar.xz)

1.  Fix an argument parsing bug which broke all commands that write to the wiki (they wouldn't log in, when they should)
2.  Always print user name when logging in (even when it's passed as a command line parameter)

### 1.8.5 - 2015-01-02

*   [relval-1.8.5.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.8.5.tar.xz)

1.  ***SECURITY***: validate input to `testcase-stats` and improve input validation for `user-stats`. Both are highly susceptible to XSS attacks without this fix, do ***NOT*** use these commands from older versions of relval


### 1.8.3 - 2014-12-23

*   [relval-1.8.3.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.8.3.tar.xz)

1.  `nightly`: add `--email` option to send an announcement email
2.  `nightly`: improve tree guessing logic
3.  `nightly`: change `--rawhide` to `--build`, you must now specify either 'Rawhide' or 'Branched' to pick a specific tree when passing it. If it is not passed, relval will guess.

### 1.8.2 - 2014-12-23

*   [relval-1.8.2.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.8.2.tar.xz)

1.  `report-results`: another brown paper bag bug caused results to have no username
2.  various behind-the-scenes rearrangements

### 1.8.1 - 2014-12-22

*   [relval-1.8.1.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.8.1.tar.xz)

1.  `testcase-stats`: fix brown paper bag that broke testcase-stats in 1.8

### 1.8 - 2014-12-22

*   [relval-1.8.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.8.tar.xz)

1.  Guess username if not provided, and read username / password pairs from `~/.fedora/credentials` if present
2.  `nightly`: Guess all version elements, if not specified
3.  `nightly`: strengthen package version checks
4.  Guess release if not passed for all sub-commands (except report-results, which does it itself a bit differently)
5.  Add short names for all options

### 1.7 - 2014-12-19

*   [relval-1.7.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.7.tar.xz)

1.  Adjust to match changed approach to nightly builds in the wiki templates
2.  Adjust to wikitcms API changes
3.  `report-results`: pass `--testtype` through properly
4.  `user-stats`: use wikitcms page results text handling rather than doing it ourselves

### 1.6 - 2014-12-16

*   [relval-1.6.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.6.tar.xz)

1.  Adjust for wikitcms changes
2.  `testcase-stats`: fix broken sort of compose set (introduced in 1.5 by commit 4fefdcdf) and problems caused by re-use of `page` variable when parsing wiki result pages to wikitcms pages
3.  `report-results`: fix various issues with non-automatic (argument or interactive) compose selection

### 1.5.2 - 2014-12-12

*   [relval-1.5.2.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.5.2.tar.xz)

1.  Bump setuptools dependency on wikitcms to 1.5

### 1.5.1 - 2014-12-12

*   [relval-1.5.1.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.5.1.tar.xz)

1.  `testcase-stats`: Fix URL in bug report links in detail pages (was lost between 1.4.1 and 1.5)

### 1.5 - 2014-12-08

*   [relval-1.5.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.5.tar.xz)

1.  Support for nightly build testing (`compose`, `report-results`, `testcase-stats`)
2.  Some clean-ups to parameter handling

### 1.4.1 - 2014-10-31

*   [relval-1.4.1.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.4.1.tar.xz)

1.  `testcase-stats`: Fix URL in bug report links in detail pages

### 1.4 - 2014-10-25

*   [relval-1.4.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.4.tar.xz)

1.  Refactored result parsing to be less tied to wiki text parsing and more extensible
2.  Small improvements to display of things like section names and environments

### 1.3.2 - 2014-10-23

*   [relval-1.3.2.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.3.2.tar.xz)

1.  `report-results`: show all existing results in the cell you choose to report to (handy info)
2.  `report-results`: fix a few logic and loop crashes

### 1.3.1 - 2014-10-22

*   [relval-1.3.1.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.3.1.tar.xz)

1.  `report-results`: don't crash when a section contains only one test case

### 1.3 - 2014-10-21

*   [relval-1.3.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.3.tar.xz)

1.  Add result submission capability

### 1.2.1 - 2014-10-16

*   [relval-1.2.1.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.2.1.tar.xz)

1.  Brown paper bag release to make the `--out` parameter actually work correctly

### 1.2 - 2014-10-16

*   [relval-1.2.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.2.tar.xz)

1.  `testcase-stats`: post-process results to produce cleaner output when tests move between sections or sections are renamed between composes
2.  Add `--out` parameter for testcase-stats to choose output directory

### 1.1 - 2014-10-14

*   [relval-1.1.tar.xz](https://www.happyassassin.net/relval/releases/relval-1.1.tar.xz)

1.  Added `user-stats` and `testcase-stats`
